STOFFCellStyle Class Reference

Class to store a cell style. More...

`#include <STOFFCellStyle.hxx>`

## Public Member Functions

| STOFFCellStyle ()
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | operator== (STOFFCellStyle const &cellStyle) const
| operator==
bool | operator!= (STOFFCellStyle const &cellStyle) const
| operator!=

## Public Attributes

librevenge::RVNGPropertyList | m_propertyList
| the property list
STOFFVec2i | m_numberCellSpanned
| the cell spanned : by default (1,1)
unsigned | m_format
| the cell format : 0 by default

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFCellStyle const &cellStyle)
| operator<<

## Detailed Description

Class to store a cell style.

## Constructor & Destructor Documentation

## STOFFCellStyle()

STOFFCellStyle::STOFFCellStyle | ( |  | ) |

inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## addTo()

void STOFFCellStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## operator!=()

bool STOFFCellStyle::operator!= | ( | STOFFCellStyle const & | cellStyle | ) | const

inline

operator!=

## operator==()

bool STOFFCellStyle::operator== | ( | STOFFCellStyle const & | cellStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFCellStyle const & | cellStyle )

friend

operator<<

## Member Data Documentation

## m_format

unsigned STOFFCellStyle::m_format

the cell format : 0 by default

Referenced by StarCellAttribute::StarCAttributeUInt::addTo(), operator<<, operator==(), and STOFFCellStyle().

## m_numberCellSpanned

STOFFVec2i STOFFCellStyle::m_numberCellSpanned

the cell spanned : by default (1,1)

Referenced by StarCellAttribute::StarCAttributeMerge::addTo(), addTo(), operator<<, operator==(), StarTableInternal::TableBox::send(), and STOFFCellStyle().

## m_propertyList

librevenge::RVNGPropertyList STOFFCellStyle::m_propertyList

the property list

Referenced by StarCellAttribute::StarCAttributeBool::addTo(), StarCellAttribute::StarCAttributeInt::addTo(), StarCellAttribute::StarCAttributeMargins::addTo(), StarCellAttribute::StarCAttributeProtection::addTo(), StarCellAttribute::StarCAttributeUInt::addTo(), StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeShadow::addTo(), addTo(), operator<<, operator==(), StarTableInternal::Table::send(), and STOFFCellStyle().

The documentation for this class was generated from the following files:

- STOFFCellStyle.hxx
- STOFFCellStyle.cxx